Subject: bug#57269: [rtl8812au-aircrack-ng-linux-module] Missing Source for hal/rtl8812a/hal8812a_fw.c (and probably other files ending in fw.c)

From: Jacob K <[email-masked]>
Date: Wed, 17 Aug 2022 20:12:18 -0500

Files such as hal8812a_fw.c [1] have large arrays that seem to be binary
firmware encoded in text. My understanding is that source code is not
available, so I believe the files are nonfree software, and should, in
the short-term at least, be removed from Guix. Long term it would be
good to get the source code (via reverse engineering or asking Realtek),
but I imagine that would take a significant amount of time and effort (I
do have a Realtek USB Wi-Fi card, maybe not with this exact firmware
though.).

[1] web copy at
https://raw.githubusercontent.com/aircrack-ng/rtl8812au/6c1b4a333b067eaddc9b8b34927019b41b99bc36/hal/rtl8812a/hal8812a_fw.c